﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChart
{
    using System.Collections.Generic;

   // using IvyBridge.Core.Contracts.Instruments;

    /// <summary>
    /// Define the constant value for service.
    /// </summary>
    public sealed class Const
    {
        /// <summary>
        /// The account prefix.
        /// </summary>
        public const string AccountPrefix = "Account";

        /// <summary>
        /// The default currency symbol.
        /// </summary>
        public const string DefaultCurrency = "CNY";

        /// <summary>
        /// The default account.
        /// </summary>
        public const string DefaultAccount = "Main Account";

        #region Time Symbols

        /// <summary>
        /// The string symbol for second.
        /// </summary>
        public const string Second = "S";

        /// <summary>
        /// The string symbol for minute.
        /// </summary>
        public const string Minute = "MIN";

        /// <summary>
        /// The string symbol for hour.
        /// </summary>
        public const string Hour = "H";

        /// <summary>
        /// The string symbol for day.
        /// </summary>
        public const string Day = "D";

        /// <summary>
        /// The string symbol for week.
        /// </summary>
        public const string Week = "W";

        /// <summary>
        /// The string symbol for month.
        /// </summary>
        public const string Month = "M";

        /// <summary>
        /// The string symbol for quarter.
        /// </summary>
        public const string Quarter = "Q";

        /// <summary>
        /// The string symbol for year.
        /// </summary>
        public const string Year = "Y";

        #endregion

        ///// <summary>
        ///// The settlement days dictionary.
        ///// </summary>
        //public static readonly IDictionary<InstrumentType, int> SettlementDaysDict =
        //    new Dictionary<InstrumentType, int> { { InstrumentType.Future, 1 }, { InstrumentType.ListedOption, 1 }, { InstrumentType.OtcOption, 1 } };
    }
}
