﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChart.Models
{
    public class PeriodUnitsName : List<ValueDescription<IntervalUnit>>
    {
          public PeriodUnitsName()
       {
   
           this.AddRange(PeriodUnitsName.SetupEnum());
       }

       internal static ObservableCollection<ValueDescription<IntervalUnit>> Items;

       private static IEnumerable<ValueDescription<IntervalUnit>> SetupEnum()
       {
           if (PeriodUnitsName.Items == null)
           {
               PeriodUnitsName.Items = new ObservableCollection<ValueDescription<IntervalUnit>>();
               Items.Add(new ValueDescription<IntervalUnit>(IntervalUnit.Month, IntervalUnit.Month.ToString()));
               Items.Add(new ValueDescription<IntervalUnit>(IntervalUnit.Year, IntervalUnit.Year.ToString()));
               Items.Add(new ValueDescription<IntervalUnit>(IntervalUnit.Day, IntervalUnit.Day.ToString())); 
           }
           return PeriodUnitsName.Items;
       }
    }
}
